Page MenuHomeFreeBSD

ixl(4)/ixlv(4): Remove a couple unnecessary register writes/flushes.
ClosedPublic

Authored by erj on Feb 5 2016, 11:09 PM.

Details

Summary

The one in ixl_xmit() has been brought up to us frequently.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 2407
Build 2423: arc lint + arc unit

Event Timeline

erj updated this revision to Diff 13074.Feb 5 2016, 11:09 PM
erj retitled this revision from to ixl(4)/ixlv(4): Remove a couple unnecessary register writes/flushes..
erj updated this object.
erj updated this object.Feb 5 2016, 11:10 PM
sbruno added a subscriber: sbruno.Feb 8 2016, 4:45 PM
sbruno added inline comments.
sys/dev/ixl/ixl_txrx.c
393

I can press the "I believe" button if you have audited the call path here and you really don't need a flush here.

This revision is now accepted and ready to land.Feb 11 2016, 11:06 PM
erj added inline comments.Feb 19 2016, 10:50 PM
sys/dev/ixl/ixl_txrx.c
393

No other driver on our side does this; and people have brought this up a lot. Removing it doesn't seem to have caused any issues so far.

erj closed this revision.Feb 25 2016, 12:48 AM

Committed in rS295947.